Shade Javassist javassist.util.proxy package so that applications do not need Javassist dependency

Description

Currently, Hibernate applications are required to have a Javassist dependency. In modular classloading environments (e.g. WildFly + OSGi), applications are therefore not allowed to include their own Javassist classes (which may be a different version of Javassist than what Hibernate ORM needs).

Related Hibernate-dev ml discussion
Related WildFly dev ml discussion

Hack test that manually repackages javassist.util.proxy

Environment

None

Status

Assignee

Unassigned

Reporter

Scott Marlow

Fix versions

None

Labels

None

backPortable

None

Suitable for new contributors

None

Requires Release Note

None

Pull Request

None

backportDecision

None

Priority

Major
Configure